%define anolis_release 1


Summary:        Command line tool that displays bandwidth usage on an interface
Name:           iftop
Version:        1.0pre4
Release:        %{anolis_release}%{?dist}
License:        GPLv2+
URL:            http://www.ex-parrot.com/~pdw/%{name}/
Source0:        http://www.ex-parrot.com/~pdw/%{name}/download/%{name}-%{version}.tar.gz
Patch0:         iftop-1.0-ncursesw.patch
Patch1:         iftop-1.0-git20181003.patch
Patch2:         iftop-1.0-gcc10.patch
Patch3:         iftop-configure-c99.patch
BuildRequires:  gcc, make, ncurses-devel, libpcap-devel

%description
iftop does for network usage what top(1) does for CPU usage. It listens to
network traffic on a named interface and displays a table of current bandwidth
usage by pairs of hosts. Handy for answering the question "why is our ADSL link
so slow?".

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .ncursesw
touch -c -r configure.ac{.ncursesw,}
%patch1 -p1 -b .git20181003
%patch2 -p1 -b .gcc10
%patch3 -p1 -b .c99
# Avoid re-running autoconf.
touch -r aclocal.m4 configure*

%build
%configure
%make_build

%install
%make_install

%generate_compatibility_deps


%files
%license COPYING
%dir %{abidir}
%{_sbindir}/%{name}
%{abidir}/iftop-option.list
%{_mandir}/man8/%{name}.*

%files doc
%doc ChangeLog README TODO

%changelog
* Fri Apr 7 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 1.0pre4-1
- Init package